### Function

# GLib datalist_unset_flags

since: 2.8

#### Declaration

    void
    g_datalist_unset_flags (
      GData** datalist,
      guint flags
    )

#### Description

Turns off flag values for a data list. See g_datalist_unset_flags().

Available since: 2.8

#### Parameters

`datalist`

  Type: `GData`

  Pointer to the location that holds a list.

  The data is owned by the caller of the function.

`flags`

  Type: `guint`

  The flags to turn off. The values of the flags are restricted by `G_DATALIST_FLAGS_MASK` (currently 3: giving two possible boolean flags). A value for `flags` that doesn’t fit within the mask is an error.